/*///////////////////////////////////////////////////////////////////////
// 
// Add: var pushRoute and var pushRef to globalVars.js
// 
// Add: 	phpLocation += '&rPushRoute='+pushRoute;
// 		phpLocation += '&rPushRef='+escape(pushRef); to login(userRef, rPW, type)
//
//
// Add: getPushRef() (and the rest in the if statement to startAfterConnected()
//
// Add: getBadge() and getBadge() to xmlHandles multiple times
//
// Add: func=="getBadge" to xmlHandles
//
///////////////////////////////////////////////////////////////////////*/

var pushNotification;
function pushHandler (result) {
	//alert('result = ' + result);
}

function pushErrorHandler (error) {
	//alert('error = ' + error);
}

function tokenHandler (result) {
	pushRoute = 'APN';
	pushRef = result;
}

// iOS
function onNotificationAPN(event) {
	if ( event.alert ) {
		sendAlert(event.alert);
		if (checkThisDiv('home')) {
			triggerLogin('Push');
		}
	}

	if ( event.sound ) {
		/*var snd = new Media(event.sound);
	        snd.play();*/
	}

	if ( event.badge ) {
		badge = event.badge;
		setBadge();
	}
}

// Android
function onNotificationGCM(e) {
	switch(e.event) {
		case 'registered':
			pushRoute = 'GCM';
			pushRef = e.regid;
		break;

		case 'message':
			alert(e.message);
			if (checkThisDiv('home')) {
				triggerLogin('Push');
			}
		break;

		case 'error':
			// Alert if appropriate
		break;

		default:
			// Fallback code
		break;
	}
}

function getPushRef() {
	pushNotification = window.plugins.pushNotification;
	if (deviceType == 'android' || deviceType == 'Android') {
		pushNotification.register(
			pushHandler,
			pushErrorHandler, {
				"senderID":myGSM_ID,
				"ecb":"onNotificationGCM"
			}
		);
	} else {
		pushNotification.register(
			tokenHandler,
			pushErrorHandler, {
				"badge":"true",
				"sound":"true",
				"alert":"true",
				"ecb":"onNotificationAPN"
			}
		);
	}
}

function badgeSuccessHandler() {
	// Available if needed
}

function badgeErrorHandler() {
	// Available if needed
}

function setBadge() {
	pushNotification.setApplicationIconBadgeNumber(badgeSuccessHandler, badgeErrorHandler, badge);
}

function getBadge() {
	if (deviceType != 'android' && deviceType != 'Android') {
		var phpLocation = rootDomain+'getBadge.php';
		phpLocation += '?hoRef='+hoRef;
		ajaxGlobal(phpLocation, 'getBadge', 'html');
	}
}

